<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.AimTemplateAimMapper">
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.AimTemplateAim">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="del_flag" property="delFlag" jdbcType="CHAR"/>
        <result column="update_time" property="updateTime" jdbcType="TIMESTAMP"/>
        <result column="update_user" property="updateUser" jdbcType="VARCHAR"/>
        <result column="create_time" property="createTime" jdbcType="TIMESTAMP"/>
        <result column="create_user" property="createUser" jdbcType="VARCHAR"/>
        <result column="aim_name" property="aimName" jdbcType="VARCHAR"/>
        <result column="icon" property="icon" jdbcType="VARCHAR"/>
        <result column="icon_rank" property="iconRank" jdbcType="INTEGER"/>
        <result column="alone_flag" property="aloneFlag" jdbcType="VARCHAR"/>
        <result column="auto_play" property="autoPlay" jdbcType="VARCHAR"/>
        <result column="auto_display" property="autoDisplay" jdbcType="VARCHAR"/>
        <result column="show_level" property="showLevel" jdbcType="VARCHAR"/>
        <result column="remark" property="remark" jdbcType="VARCHAR"/>
        <result column="template_id" property="templateId" jdbcType="VARCHAR"/>
        <result column="power" property="power" jdbcType="VARCHAR"/>
    </resultMap>
    <sql id="Base_Column_List">
        <trim suffixOverrides=",">
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            aim_name,

            icon,

            icon_rank,

            alone_flag,

            auto_play,

            auto_display,

            show_level,

            remark,

            template_id,

            power,

        </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer">
        select
        <include refid="Base_Column_List"/>
        from aim_template_aim
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
        delete from aim_template_aim
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.AimTemplateAim" useGeneratedKeys="true"
            keyProperty="id">
        insert into aim_template_aim
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id!= null">
                id,
            </if>
            <if test="delFlag!= null">
                del_flag,
            </if>
            <if test="updateTime!= null">
                update_time,
            </if>
            <if test="updateUser!= null">
                update_user,
            </if>
            <if test="createTime!= null">
                create_time,
            </if>
            <if test="createUser!= null">
                create_user,
            </if>
            <if test="aimName!= null">
                aim_name,
            </if>
            <if test="icon!= null">
                icon,
            </if>
            <if test="iconRank!= null">
                icon_rank,
            </if>
            <if test="aloneFlag!= null">
                alone_flag,
            </if>
            <if test="autoPlay!= null">
                auto_play,
            </if>
            <if test="autoDisplay!= null">
                auto_display,
            </if>
            <if test="showLevel!= null">
                show_level,
            </if>
            <if test="remark!= null">
                remark,
            </if>
            <if test="templateId!= null">
                template_id,
            </if>
            <if test="power!= null">
                power,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="aimName != null">
                #{aimName,jdbcType=VARCHAR},
            </if>
            <if test="icon != null">
                #{icon,jdbcType=VARCHAR},
            </if>
            <if test="iconRank != null">
                #{iconRank,jdbcType=INTEGER},
            </if>
            <if test="aloneFlag != null">
                #{aloneFlag,jdbcType=VARCHAR},
            </if>
            <if test="autoPlay != null">
                #{autoPlay,jdbcType=VARCHAR},
            </if>
            <if test="autoDisplay != null">
                #{autoDisplay,jdbcType=VARCHAR},
            </if>
            <if test="showLevel != null">
                #{showLevel,jdbcType=VARCHAR},
            </if>
            <if test="remark != null">
                #{remark,jdbcType=VARCHAR},
            </if>
            <if test="templateId != null">
                #{templateId,jdbcType=VARCHAR},
            </if>
            <if test="power != null">
                #{power,jdbcType=VARCHAR},
            </if>
        </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.AimTemplateAim">
        update aim_template_aim
        <set>
            <if test="id != null">
                id= #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                del_flag= #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                create_user= #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="aimName != null">
                aim_name= #{aimName,jdbcType=VARCHAR},
            </if>
            <if test="icon != null">
                icon= #{icon,jdbcType=VARCHAR},
            </if>
            <if test="iconRank != null">
                icon_rank= #{iconRank,jdbcType=INTEGER},
            </if>
            <if test="aloneFlag != null">
                alone_flag= #{aloneFlag,jdbcType=VARCHAR},
            </if>
            <if test="autoPlay != null">
                auto_play= #{autoPlay,jdbcType=VARCHAR},
            </if>
            <if test="autoDisplay != null">
                auto_display= #{autoDisplay,jdbcType=VARCHAR},
            </if>
            <if test="showLevel != null">
                show_level= #{showLevel,jdbcType=VARCHAR},
            </if>
            <if test="remark != null">
                remark= #{remark,jdbcType=VARCHAR},
            </if>
            <if test="templateId != null">
                template_id= #{templateId,jdbcType=VARCHAR},
            </if>
            <if test="power != null">
                power= #{power,jdbcType=VARCHAR},
            </if>
        </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryAimTemplateAimByPage" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimTemplateAim">
        select
        <include refid="Base_Column_List"/>
        <if test="record.arNum != null and !&quot;&quot;.equals(record.arNum)">
            , (SELECT
            COUNT(aim_template_ar.id)
            FROM
            aim_template_ar
            WHERE
            aim_template_ar.del_flag = 'N'
            AND aim_template_ar.template_aim_id = aim_template_aim.id) as arNum
        </if>
        from aim_template_aim
        <where>
            and del_flag = 'N'
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
            <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and id = #{record.id}
            </if>
            <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and del_flag = #{record.delFlag}
            </if>
            <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and update_time = #{record.updateTime}
            </if>
            <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and update_user = #{record.updateUser}
            </if>
            <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and create_time = #{record.createTime}
            </if>
            <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and create_user = #{record.createUser}
            </if>
            <if test="record.aimName != null and !&quot;&quot;.equals(record.aimName)">
                and aim_name = #{record.aimName}
            </if>
            <if test="record.icon != null and !&quot;&quot;.equals(record.icon)">
                and icon = #{record.icon}
            </if>
            <if test="record.iconRank != null and !&quot;&quot;.equals(record.iconRank)">
                and icon_rank = #{record.iconRank}
            </if>
            <if test="record.aloneFlag != null and !&quot;&quot;.equals(record.aloneFlag)">
                and alone_flag = #{record.aloneFlag}
            </if>
            <if test="record.autoPlay != null and !&quot;&quot;.equals(record.autoPlay)">
                and auto_play = #{record.autoPlay}
            </if>
            <if test="record.autoDisplay != null and !&quot;&quot;.equals(record.autoDisplay)">
                and auto_display = #{record.autoDisplay}
            </if>
            <if test="record.showLevel != null and !&quot;&quot;.equals(record.showLevel)">
                and show_level = #{record.showLevel}
            </if>
            <if test="record.remark != null and !&quot;&quot;.equals(record.remark)">
                and remark = #{record.remark}
            </if>
            <if test="record.templateId != null and !&quot;&quot;.equals(record.templateId)">
                and template_id = #{record.templateId}
            </if>
            <if test="record.power != null and !&quot;&quot;.equals(record.power)">
                and power = #{record.power}
            </if>
            <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR aim_name LIKE concat('%',#{record.searchKey},'%')
                    OR icon LIKE concat('%',#{record.searchKey},'%')
                    OR icon_rank LIKE concat('%',#{record.searchKey},'%')
                    OR alone_flag LIKE concat('%',#{record.searchKey},'%')
                    OR auto_play LIKE concat('%',#{record.searchKey},'%')
                    OR auto_display LIKE concat('%',#{record.searchKey},'%')
                    OR show_level LIKE concat('%',#{record.searchKey},'%')
                    OR remark LIKE concat('%',#{record.searchKey},'%')
                    OR template_id LIKE concat('%',#{record.searchKey},'%')
                    OR power LIKE concat('%',#{record.searchKey},'%')
                </trim>
            </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllAimTemplateAim" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimTemplateAim">
        select
        <include refid="Base_Column_List"/>
        from aim_template_aim
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="aimName != null and !&quot;&quot;.equals(aimName)">
                and aim_name = #{aimName}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="iconRank != null and !&quot;&quot;.equals(iconRank)">
                and icon_rank = #{iconRank}
            </if>
            <if test="aloneFlag != null and !&quot;&quot;.equals(aloneFlag)">
                and alone_flag = #{aloneFlag}
            </if>
            <if test="autoPlay != null and !&quot;&quot;.equals(autoPlay)">
                and auto_play = #{autoPlay}
            </if>
            <if test="autoDisplay != null and !&quot;&quot;.equals(autoDisplay)">
                and auto_display = #{autoDisplay}
            </if>
            <if test="showLevel != null and !&quot;&quot;.equals(showLevel)">
                and show_level = #{showLevel}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR aim_name LIKE concat('%',#{searchKey},'%')
                    OR icon LIKE concat('%',#{searchKey},'%')
                    OR icon_rank LIKE concat('%',#{searchKey},'%')
                    OR alone_flag LIKE concat('%',#{searchKey},'%')
                    OR auto_play LIKE concat('%',#{searchKey},'%')
                    OR auto_display LIKE concat('%',#{searchKey},'%')
                    OR show_level LIKE concat('%',#{searchKey},'%')
                    OR remark LIKE concat('%',#{searchKey},'%')
                    OR template_id LIKE concat('%',#{searchKey},'%')
                    OR power LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryAllAimTemplateAimAllInfo" parameterType="java.util.Map" resultMap="AllInfoResultMap">
        select
        <include refid="Base_Column_List"/>
        from aim_template_aim
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="aimName != null and !&quot;&quot;.equals(aimName)">
                and aim_name = #{aimName}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="iconRank != null and !&quot;&quot;.equals(iconRank)">
                and icon_rank = #{iconRank}
            </if>
            <if test="aloneFlag != null and !&quot;&quot;.equals(aloneFlag)">
                and alone_flag = #{aloneFlag}
            </if>
            <if test="autoPlay != null and !&quot;&quot;.equals(autoPlay)">
                and auto_play = #{autoPlay}
            </if>
            <if test="autoDisplay != null and !&quot;&quot;.equals(autoDisplay)">
                and auto_display = #{autoDisplay}
            </if>
            <if test="showLevel != null and !&quot;&quot;.equals(showLevel)">
                and show_level = #{showLevel}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR aim_name LIKE concat('%',#{searchKey},'%')
                    OR icon LIKE concat('%',#{searchKey},'%')
                    OR icon_rank LIKE concat('%',#{searchKey},'%')
                    OR alone_flag LIKE concat('%',#{searchKey},'%')
                    OR auto_play LIKE concat('%',#{searchKey},'%')
                    OR auto_display LIKE concat('%',#{searchKey},'%')
                    OR show_level LIKE concat('%',#{searchKey},'%')
                    OR remark LIKE concat('%',#{searchKey},'%')
                    OR template_id LIKE concat('%',#{searchKey},'%')
                    OR power LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryAimTemplateAim" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimTemplateAim">
        select
        <include refid="Base_Column_List"/>
        from aim_template_aim
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="aimName != null and !&quot;&quot;.equals(aimName)">
                and aim_name = #{aimName}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="iconRank != null and !&quot;&quot;.equals(iconRank)">
                and icon_rank = #{iconRank}
            </if>
            <if test="aloneFlag != null and !&quot;&quot;.equals(aloneFlag)">
                and alone_flag = #{aloneFlag}
            </if>
            <if test="autoPlay != null and !&quot;&quot;.equals(autoPlay)">
                and auto_play = #{autoPlay}
            </if>
            <if test="autoDisplay != null and !&quot;&quot;.equals(autoDisplay)">
                and auto_display = #{autoDisplay}
            </if>
            <if test="showLevel != null and !&quot;&quot;.equals(showLevel)">
                and show_level = #{showLevel}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>

        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE aim_template_aim SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.AimTemplateAim">
        select
        <include refid="Base_Column_List"/>
        from aim_template_aim
        <where>
            and del_flag = 'N'
        </where>
        order by id desc
    </select>


    <resultMap id="AllInfoResultMap" type="com.izouma.awesomeadmin.model.AimTemplateAim" extends="BaseResultMap">


        <collection property="aimTemplateArList" ofType="com.izouma.awesomeadmin.model.AimTemplateAr"
                    select="com.izouma.awesomeadmin.dao.AimTemplateArMapper.queryAllAimTemplateAr"
                    column="{templateAimId = id}">
        </collection>
    </resultMap>

</mapper>

